package jrummikub.model;

import java.util.List;

public interface IGameSettings {

	/**
	 * Returns the list containing the settings of all players
	 * 
	 * @return the player settings list
	 */
	public List<PlayerSettings> getPlayerList();

	/**
	 * Sets the initial meld threshold
	 * 
	 * @param value
	 *          the value to set
	 */
	public void setInitialMeldThreshold(int value);

	/**
	 * Returns the initial meld threshold
	 * 
	 * @return the threshold
	 */
	public int getInitialMeldThreshold();

}